<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.1.0" name="org.osbp.mysmartshop.dtos.mapper.cashslipdtomapper">
       <implementation class="org.osbp.mysmartshop.dtos.mapper.CashSlipDtoMapper"/>
       <service>
		<provide interface="org.eclipse.osbp.dsl.dto.lib.IMapper"/>
		  </service>
		  
		<property name="fordto.from.entity" type="String" value="org.osbp.mysmartshop.entities.CashSlip"/>
		<property name="fordto.to.dto" type="String">org.osbp.mysmartshop.dtos.CashSlipDto
		org.osbp.mysmartshop.dtos.BaseUUIDDto
		</property>

		<property name="forentity.from.dto" type="String" value="org.osbp.mysmartshop.dtos.CashSlipDto"/>
		<property name="forentity.to.entity" type="String">org.osbp.mysmartshop.entities.CashSlip
		org.osbp.mysmartshop.entities.BaseUUID
		</property>
		
		<property name="service.pid" type="String" value="org.osbp.mysmartshop.dtos.mapper.cashslipdtomapper"/>
		<reference name="mapperAccess" interface="org.eclipse.osbp.dsl.dto.lib.IMapperAccess" 
				cardinality="1..1" policy="static" bind="bindMapperAccess" unbind="unbindMapperAccess"/>
</scr:component>
